package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DataSyncAgentMapper;
import com.sa.ibiz.demo.demo.domain.DataSyncAgent;
import com.sa.ibiz.demo.demo.service.DataSyncAgentService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DataSyncAgentSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[DataSyncAgent] 服务对象接口实现
 */
@Service
public class DataSyncAgentServiceImpl extends ServiceImplBase<DataSyncAgentMapper, DataSyncAgent> implements DataSyncAgentService{


    @Resource
    private DataSyncAgentMapper datasyncagentMapper;


    @Override
    public boolean create(DataSyncAgent et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DataSyncAgent et){
        this.beforeUpdate(et);
		this.datasyncagentMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DataSyncAgent et){
		return et.getDatasyncagentid();  
    }

    @Override
    public boolean getDraft(DataSyncAgent et)  {
            return true;
    }

	public List<DataSyncAgent> listDefault(DataSyncAgentSearchFilter filter) {
		return datasyncagentMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DataSyncAgent> searchDefault(DataSyncAgentSearchFilter filter) {
		return datasyncagentMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return datasyncagentMapper.selectRow(sql);
    }

 }